Subject: cygwinb19.1.dll sh.exe still won't run shell scripts from path + workaround
From: [email-masked] (Mikey)

16 Mar 1998 01:44:27 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked], [email-masked]

Has anyone else noticed this or am I crazy?

setting the system bit via "command.com /c attrib +s scriptname"
allows them to run, but I don't think that this is a good permanent solution.

MIKEY:/usr$ head bin/whatis
#!/bin/sh
#
# whatis -- search the whatis database for keywords.  Like apropos,
#           but match only commands (as whole words).
#
# Copyright (c) 1990, 1991, John W. Eaton.
#
# You may distribute under the terms of the GNU General Public
# License as specified in the README file that comes with the man
# distribution.
MIKEY:/usr$ sh
$ whatis junk
whatis: permission denied
$ ls -l /bin/sh.exe
-rwxr-xr-x   1 Mikey    everyone    55808 Feb 26 11:24 /bin/sh.exe

MIKEY:~$ aclocal --help
Usage: aclocal [OPTIONS] ...

  --acdir=DIR           directory holding config files
  --help                print this help, then exit
  -I DIR                add directory to search list for .m4 files
  --output=FILE         put output in FILE (default aclocal.m4)
  --verbose             don't be silent
  --version             print version number, then exit

Report bugs to <[email-masked]>
MIKEY:~$ sh
$ aclocal --help
aclocal: permission denied

=====================================================
Linux a platform built by, and for users, standing on
the firm legs of reliability, and speed.

Microsoft Windows, a platform without a leg to stand on.

([email-masked])
delete REMOVETHIS from the above to reply
         Mikey
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".